Bug 114341 - REGRESSION (r148073): WebKit Nightly r148082 crashes on launch in JSObjectSetPrivate
Summary: REGRESSION (r148073): WebKit Nightly r148082 crashes on launch in JSObjectSet...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P1 Critical
Assignee: Oliver Hunt
URL:
Keywords: InRadar
: 114355 114374 114385 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-04-10 01:51 PDT by lars.sonchocky-helldorf
Modified: 2013-04-10 22:07 PDT (History)
9 users (show)

See Also:


Attachments
crash log for bug #114341 (66.36 KB, text/plain)
2013-04-10 01:53 PDT, lars.sonchocky-helldorf
no flags Details
Patch (1.47 KB, patch)
2013-04-10 10:43 PDT, Oliver Hunt
ap: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lars.sonchocky-helldorf 2013-04-10 01:51:17 PDT
I guess it is JavaScript something, see attached crash log
Comment 1 lars.sonchocky-helldorf 2013-04-10 01:53:25 PDT
Created attachment 197223 [details]
crash log for bug #114341
Comment 2 Alexey Proskuryakov 2013-04-10 09:59:15 PDT
*** Bug 114355 has been marked as a duplicate of this bug. ***
Comment 3 Alexey Proskuryakov 2013-04-10 10:01:38 PDT
I cannot reproduce this. Based on crash log, this is extension related. Could you please find out which Safari extension is necessary for this to happen?
Comment 4 Ben Goren 2013-04-10 10:05:49 PDT
I'll try disabling extensions.

In the mean time, an additional bit of information: the only way I can get WebKit to launch is by deleting ~/Library/Safari/History*

b&
Comment 5 Kevin M. Dean 2013-04-10 10:12:02 PDT
Here's my list of extension from my crash log. We have ClicktoFlash in common.

Enabled Extensions:
firdau.si.copyalllinks-9ZLKXCA6UM (1 - 1.0) Copy All Links
org.ysoldak.safari.franker-YC74FH34F8 (1.3.1 - 1.3.1) Franker
com.yourcompany.builtwith-YDBU6SA4GL (1 - 1.0) BuiltWith
com.gridth.usercss-V892BVZC73 (4.6 - 1.3.2) User CSS
com.hoyois.safari.clicktoflash-GY5KR7239Q (50 - 2.7.5) ClickToFlash
de.tekl.maximize-3D3Y3WDMYF (0.95 - 0.95) Maximieren
com.vidalvbergen.imdblinks-893H52NGF5 (2.4 - 2.4) IMDb Links
com.socialfixer-9HFEUWTRM9 (7501 - 7.501) Social Fixer
net.os0x.ninjakit-LAM47A73AC (0.9.1 - 0.9.1) NinjaKit
com.pedrocc.youtubewide-LJESPEW5C6 (10 - 10.0) YoutubeWide
com.echodot.thetracktor-DEJ3C586XW (6 - 1.1) The Tracktor
com.opensearchforsafari.opensearchforsafari-5AEUMJLY2N (1.09 - 1.09) OpenSearch for Safari
de.einserver.nomoreitunes-E7ZXX8R29L (231 - 2.3.1) NoMoreiTunes
com.lapcatsoftware.autocomplete-8LT69JF8NZ (1 - 1.0) autocomplete
com.canisbos.directlinks-ZANVZTSER6 (1003 - 1.0.3) gDirectLinks
com.tcpiputils.ipaddress-N8XSRRUULU (2.3 - 2.3) IP Address and Domain Information
com.betteradvertising.ghostery-HPY23A294X (10 - 1.4.2) Ghostery
com.scottishwildcat.feedmenu-U658JZ835M (19 - 1.9.3) RSS Menu
com.yourcompany.ext-WQZ25NN54H (1 - 1.0) 3camels
com.tonissimo.googleimagesearch-YRH3V2FPUB (1 - 1.0) Google Search by Image
Comment 6 Ben Goren 2013-04-10 10:13:54 PDT
Turning off extensions made no difference. I got the attached crash when attempting to view http://whyevolutionistrue.com/

Process:         WebProcess [50733]
Path:            /Applications/WebKit.app/Contents/Frameworks/10.8/WebKit2.framework/WebProcess.app/Contents/MacOS/WebProcess
Identifier:      com.apple.WebProcess
Version:         537+ (537.37+)
Code Type:       X86-64 (Native)
Parent Process:  ??? [50732]
User ID:         501

Date/Time:       2013-04-10 10:09:29.119 -0700
OS Version:      Mac OS X 10.8.3 (12D78)
Report Version:  10

Interval Since Last Report:          836802 sec
Crashes Since Last Report:           347
Per-App Interval Since Last Report:  5115 sec
Per-App Crashes Since Last Report:   12
Anonymous UUID:                      1032E8CD-EC85-CBD1-785C-E4880BB2FFC8

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0xfffffffffffffff0

VM Regions Near 0xfffffffffffffff0:
--> shared memory          00007ffffff99000-00007ffffff9a000 [    4K] r-x/r-x SM=SHM  
    

Application Specific Information:
Bundle controller class:
BrowserBundleController
 

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   com.apple.JavaScriptCore      	0x000000010e1105c3 llint_op_get_by_pname + 177
1   com.apple.JavaScriptCore      	0x000000010e034383 JSC::Interpreter::executeCall(JSC::ExecState*, JSC::JSObject*, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) + 611
2   com.apple.JavaScriptCore      	0x000000010df2c8e5 JSC::call(JSC::ExecState*, JSC::JSValue, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) + 69
3   com.apple.WebCore             	0x000000010e90fece WebCore::JSMainThreadExecState::call(JSC::ExecState*, JSC::JSValue, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) + 190
4   com.apple.WebCore             	0x000000010eeb6bfc WebCore::ScheduledAction::executeFunctionInContext(JSC::JSGlobalObject*, JSC::JSValue, WebCore::ScriptExecutionContext*) + 524
5   com.apple.WebCore             	0x000000010eeb686c WebCore::ScheduledAction::execute(WebCore::Document*) + 156
6   com.apple.WebCore             	0x000000010e60d9fd WebCore::DOMTimer::fired() + 301
7   com.apple.WebCore             	0x000000010f07ac4f WebCore::ThreadTimers::sharedTimerFiredInternal() + 175
8   com.apple.WebCore             	0x000000010ef07bd3 WebCore::timerFired(__CFRunLoopTimer*, void*) + 51
9   com.apple.CoreFoundation      	0x00007fff89381804 __CFRUNLOOP_IS_CALLING_OUT_TO_A_TIMER_CALLBACK_FUNCTION__ + 20
10  com.apple.CoreFoundation      	0x00007fff8938131d __CFRunLoopDoTimer + 557
11  com.apple.CoreFoundation      	0x00007fff89366ad9 __CFRunLoopRun + 1529
12  com.apple.CoreFoundation      	0x00007fff893660e2 CFRunLoopRunSpecific + 290
13  com.apple.HIToolbox           	0x00007fff8c7e3eb4 RunCurrentEventLoopInMode + 209
14  com.apple.HIToolbox           	0x00007fff8c7e3c52 ReceiveNextEventCommon + 356
15  com.apple.HIToolbox           	0x00007fff8c7e3ae3 BlockUntilNextEventMatchingListInMode + 62
16  com.apple.AppKit              	0x00007fff93618563 _DPSNextEvent + 685
17  com.apple.AppKit              	0x00007fff93617e22 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
18  com.apple.AppKit              	0x00007fff9360f1d3 -[NSApplication run] + 517
19  com.apple.WebCore             	0x000000010eeb28bd WebCore::RunLoop::run() + 77
20  com.apple.WebKit2             	0x000000010db6b4bd int WebKit::ChildProcessMain<WebKit::WebProcess, WebKit::WebContentProcessMainDelegate>(int, char**) + 631
21  com.apple.WebProcess          	0x000000010da8ce43 main + 307
22  libdyld.dylib                 	0x00007fff8e49d7e1 start + 1

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x00007fff946f1d16 kevent + 10
1   libdispatch.dylib             	0x00007fff8921edea _dispatch_mgr_invoke + 883
2   libdispatch.dylib             	0x00007fff8921e9ee _dispatch_mgr_thread + 54

Thread 2:: WebCore: Scrolling
0   libsystem_kernel.dylib        	0x00007fff946ef686 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff946eec42 mach_msg + 70
2   com.apple.CoreFoundation      	0x00007fff89361233 __CFRunLoopServiceMachPort + 195
3   com.apple.CoreFoundation      	0x00007fff89366916 __CFRunLoopRun + 1078
4   com.apple.CoreFoundation      	0x00007fff893660e2 CFRunLoopRunSpecific + 290
5   com.apple.CoreFoundation      	0x00007fff89374dd1 CFRunLoopRun + 97
6   com.apple.WebCore             	0x000000010eedf1f4 WebCore::ScrollingThread::initializeRunLoop() + 244
7   com.apple.JavaScriptCore      	0x000000010e210b7f WTF::wtfThreadEntryPoint(void*) + 15
8   libsystem_c.dylib             	0x00007fff8c44f7a2 _pthread_start + 327
9   libsystem_c.dylib             	0x00007fff8c43c1e1 thread_start + 13

Thread 3:: com.apple.NSURLConnectionLoader
0   libsystem_kernel.dylib        	0x00007fff946ef686 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff946eec42 mach_msg + 70
2   com.apple.CoreFoundation      	0x00007fff89361233 __CFRunLoopServiceMachPort + 195
3   com.apple.CoreFoundation      	0x00007fff89366916 __CFRunLoopRun + 1078
4   com.apple.CoreFoundation      	0x00007fff893660e2 CFRunLoopRunSpecific + 290
5   com.apple.Foundation          	0x00007fff92f97b66 +[NSURLConnection(Loader) _resourceLoadLoop:] + 356
6   com.apple.Foundation          	0x00007fff92ff5cd2 __NSThread__main__ + 1345
7   libsystem_c.dylib             	0x00007fff8c44f7a2 _pthread_start + 327
8   libsystem_c.dylib             	0x00007fff8c43c1e1 thread_start + 13

Thread 4:: JavaScriptCore::BlockFree
0   libsystem_kernel.dylib        	0x00007fff946f10fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8c453fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010e211816 WTF::ThreadCondition::timedWait(WTF::Mutex&, double) + 118
3   com.apple.JavaScriptCore      	0x000000010df0e66d JSC::BlockAllocator::blockFreeingThreadMain() + 109
4   com.apple.JavaScriptCore      	0x000000010e210b7f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff8c44f7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff8c43c1e1 thread_start + 13

Thread 5:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff946f10fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8c453fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010e025887 JSC::GCThread::waitForNextPhase() + 119
3   com.apple.JavaScriptCore      	0x000000010e02595f JSC::GCThread::gcThreadMain() + 159
4   com.apple.JavaScriptCore      	0x000000010e210b7f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff8c44f7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff8c43c1e1 thread_start + 13

Thread 6:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff946f10fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8c453fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010e025887 JSC::GCThread::waitForNextPhase() + 119
3   com.apple.JavaScriptCore      	0x000000010e02595f JSC::GCThread::gcThreadMain() + 159
4   com.apple.JavaScriptCore      	0x000000010e210b7f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff8c44f7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff8c43c1e1 thread_start + 13

Thread 7:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff946f10fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8c453fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010e025887 JSC::GCThread::waitForNextPhase() + 119
3   com.apple.JavaScriptCore      	0x000000010e02595f JSC::GCThread::gcThreadMain() + 159
4   com.apple.JavaScriptCore      	0x000000010e210b7f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff8c44f7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff8c43c1e1 thread_start + 13

Thread 8:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff946f10fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8c453fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010e025887 JSC::GCThread::waitForNextPhase() + 119
3   com.apple.JavaScriptCore      	0x000000010e02595f JSC::GCThread::gcThreadMain() + 159
4   com.apple.JavaScriptCore      	0x000000010e210b7f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff8c44f7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff8c43c1e1 thread_start + 13

Thread 9:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff946f10fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8c453fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010e025887 JSC::GCThread::waitForNextPhase() + 119
3   com.apple.JavaScriptCore      	0x000000010e02595f JSC::GCThread::gcThreadMain() + 159
4   com.apple.JavaScriptCore      	0x000000010e210b7f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff8c44f7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff8c43c1e1 thread_start + 13

Thread 10:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff946f10fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8c453fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010e025887 JSC::GCThread::waitForNextPhase() + 119
3   com.apple.JavaScriptCore      	0x000000010e02595f JSC::GCThread::gcThreadMain() + 159
4   com.apple.JavaScriptCore      	0x000000010e210b7f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff8c44f7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff8c43c1e1 thread_start + 13

Thread 11:: com.apple.CFSocket.private
0   libsystem_kernel.dylib        	0x00007fff946f1322 __select + 10
1   com.apple.CoreFoundation      	0x00007fff893a5f46 __CFSocketManager + 1302
2   libsystem_c.dylib             	0x00007fff8c44f7a2 _pthread_start + 327
3   libsystem_c.dylib             	0x00007fff8c43c1e1 thread_start + 13

Thread 12:: JavaScriptCore::BlockFree
0   libsystem_kernel.dylib        	0x00007fff946f10fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8c453fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010e211816 WTF::ThreadCondition::timedWait(WTF::Mutex&, double) + 118
3   com.apple.JavaScriptCore      	0x000000010df0e66d JSC::BlockAllocator::blockFreeingThreadMain() + 109
4   com.apple.JavaScriptCore      	0x000000010e210b7f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff8c44f7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff8c43c1e1 thread_start + 13

Thread 13:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff946f10fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8c453fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010e025887 JSC::GCThread::waitForNextPhase() + 119
3   com.apple.JavaScriptCore      	0x000000010e02595f JSC::GCThread::gcThreadMain() + 159
4   com.apple.JavaScriptCore      	0x000000010e210b7f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff8c44f7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff8c43c1e1 thread_start + 13

Thread 14:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff946f10fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8c453fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010e025887 JSC::GCThread::waitForNextPhase() + 119
3   com.apple.JavaScriptCore      	0x000000010e02595f JSC::GCThread::gcThreadMain() + 159
4   com.apple.JavaScriptCore      	0x000000010e210b7f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff8c44f7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff8c43c1e1 thread_start + 13

Thread 15:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff946f10fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8c453fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010e025887 JSC::GCThread::waitForNextPhase() + 119
3   com.apple.JavaScriptCore      	0x000000010e02595f JSC::GCThread::gcThreadMain() + 159
4   com.apple.JavaScriptCore      	0x000000010e210b7f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff8c44f7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff8c43c1e1 thread_start + 13

Thread 16:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff946f10fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8c453fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010e025887 JSC::GCThread::waitForNextPhase() + 119
3   com.apple.JavaScriptCore      	0x000000010e02595f JSC::GCThread::gcThreadMain() + 159
4   com.apple.JavaScriptCore      	0x000000010e210b7f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff8c44f7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff8c43c1e1 thread_start + 13

Thread 17:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff946f10fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8c453fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010e025887 JSC::GCThread::waitForNextPhase() + 119
3   com.apple.JavaScriptCore      	0x000000010e02595f JSC::GCThread::gcThreadMain() + 159
4   com.apple.JavaScriptCore      	0x000000010e210b7f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff8c44f7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff8c43c1e1 thread_start + 13

Thread 18:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff946f10fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8c453fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010e025887 JSC::GCThread::waitForNextPhase() + 119
3   com.apple.JavaScriptCore      	0x000000010e02595f JSC::GCThread::gcThreadMain() + 159
4   com.apple.JavaScriptCore      	0x000000010e210b7f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff8c44f7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff8c43c1e1 thread_start + 13

Thread 19:
0   libsystem_kernel.dylib        	0x00007fff946f16d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff8c451f4c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff8c451d13 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff8c43c1d1 start_wqthread + 13

Thread 20:
0   libsystem_kernel.dylib        	0x00007fff946f16d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff8c451f4c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff8c451d13 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff8c43c1d1 start_wqthread + 13

Thread 21:: WebCore: LocalStorage
0   libsystem_kernel.dylib        	0x00007fff946f10fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8c453fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010e2117dd WTF::ThreadCondition::timedWait(WTF::Mutex&, double) + 61
3   com.apple.WebCore             	0x000000010ef2da91 WTF::PassOwnPtr<WebCore::StorageTask> WTF::MessageQueue<WebCore::StorageTask>::waitForMessageFilteredWithTimeout<bool (WebCore::StorageTask*)>(WTF::MessageQueueWaitResult&, bool (&)(WebCore::StorageTask*), double) + 81
4   com.apple.WebCore             	0x000000010ef2d2ea WebCore::StorageThread::threadEntryPoint() + 154
5   com.apple.JavaScriptCore      	0x000000010e210b7f WTF::wtfThreadEntryPoint(void*) + 15
6   libsystem_c.dylib             	0x00007fff8c44f7a2 _pthread_start + 327
7   libsystem_c.dylib             	0x00007fff8c43c1e1 thread_start + 13

Thread 22:: WebCore: LocalStorage
0   libsystem_kernel.dylib        	0x00007fff946f10fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff8c453fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010e2117dd WTF::ThreadCondition::timedWait(WTF::Mutex&, double) + 61
3   com.apple.WebCore             	0x000000010ef2da91 WTF::PassOwnPtr<WebCore::StorageTask> WTF::MessageQueue<WebCore::StorageTask>::waitForMessageFilteredWithTimeout<bool (WebCore::StorageTask*)>(WTF::MessageQueueWaitResult&, bool (&)(WebCore::StorageTask*), double) + 81
4   com.apple.WebCore             	0x000000010ef2d2ea WebCore::StorageThread::threadEntryPoint() + 154
5   com.apple.JavaScriptCore      	0x000000010e210b7f WTF::wtfThreadEntryPoint(void*) + 15
6   libsystem_c.dylib             	0x00007fff8c44f7a2 _pthread_start + 327
7   libsystem_c.dylib             	0x00007fff8c43c1e1 thread_start + 13

Thread 23:
0   libsystem_kernel.dylib        	0x00007fff946f16d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff8c451f4c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff8c451d13 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff8c43c1d1 start_wqthread + 13

Thread 24:
0   libsystem_kernel.dylib        	0x00007fff946f16d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff8c451f4c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff8c451d13 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff8c43c1d1 start_wqthread + 13

Thread 25:
0   libsystem_kernel.dylib        	0x00007fff946f16d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff8c451f4c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff8c451d13 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff8c43c1d1 start_wqthread + 13

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0xffffffffffffff9c  rcx: 0x00000001c61fd7b0  rdx: 0x00000001c64598f0
  rdi: 0x0000000000000007  rsi: 0x0000000000000016  rbp: 0x00007fff52171ff0  rsp: 0x00007fff52171f50
   r8: 0x000000011b840c60   r9: 0x000000000000000f  r10: 0x0000000119362b08  r11: 0x00000001c610c128
  r12: 0x0000000000000200  r13: 0x0000000112e1f540  r14: 0xffff000000000000  r15: 0xffff000000000002
  rip: 0x000000010e1105c3  rfl: 0x0000000000010297  cr2: 0xfffffffffffffff0
Logical CPU: 0

Binary Images:
       0x10da8c000 -        0x10da8cfff  com.apple.WebProcess (537+ - 537.37+) <CDFC1A3D-207C-3D70-B165-DE83FCB7A4D8> /Applications/WebKit.app/Contents/Frameworks/10.8/WebKit2.framework/WebProcess.app/Contents/MacOS/WebProcess
       0x10da94000 -        0x10da94fff +SecItemShim.dylib (0) <43BCEABD-8462-3F29-9D42-BD0BF0BE792D> /Applications/WebKit.app/Contents/Frameworks/10.8/WebKit2.framework/WebProcess.app/Contents/MacOS/SecItemShim.dylib
       0x10dac7000 -        0x10dd20fff  com.apple.WebKit2 (537+ - 537.37+) <8B57D8FF-E06A-3A7D-832D-807CA0143FD3> /Applications/WebKit.app/Contents/Frameworks/10.8/WebKit2.framework/WebKit2
       0x10defa000 -        0x10e28eff7  com.apple.JavaScriptCore (537+ - 537.37+) <A094BA6C-EA05-33C6-9D4A-ED3F033FFE18> /Applications/WebKit.app/Contents/Frameworks/10.8/JavaScriptCore.framework/Versions/A/JavaScriptCore
       0x10e388000 -        0x10f534ff7  com.apple.WebCore (537+ - 537.37+) <ED646459-53D4-3E3B-996D-8E75226E173E> /Applications/WebKit.app/Contents/Frameworks/10.8/WebCore.framework/Versions/A/WebCore
       0x111677000 -        0x1117e7fff  com.apple.WebKit (r148082 - 537.37+) <46297A85-C857-319B-96F6-6875CDF02642> /Applications/WebKit.app/Contents/Frameworks/10.8/WebKit.framework/Versions/A/WebKit
       0x112988000 -        0x112995fff  libGPUSupport.dylib (8.7.25) <F884DCD6-8234-3D23-BEC6-4EC4CE5101EF> /System/Library/PrivateFrameworks/GPUSupport.framework/Versions/A/Libraries/libGPUSupport.dylib
       0x1142ed000 -        0x114303ff7  com.apple.webcontentfilter.framework (3.1 - 5) <E18D99F4-A52C-30C8-9D70-D0E34DB9D68C> /System/Library/PrivateFrameworks/WebContentAnalysis.framework/WebContentAnalysis
       0x11486b000 -        0x114a29fff  GLEngine (8.7.25) <8398B57C-EE2D-3006-940C-CECE8E719D3B> /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
       0x114b60000 -        0x114cd0fff  libGLProgrammability.dylib (8.7.25) <EE2DD8AF-C6C3-303D-976E-87B4AABF8371> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
       0x114d08000 -        0x114fc0fff  com.apple.ATIRadeonX2000GLDriver (8.10.44 - 8.1.0) <7D70DE9A-6C60-36EE-BDB1-712331A1756C> /System/Library/Extensions/ATIRadeonX2000GLDriver.bundle/Contents/MacOS/ATIRadeonX2000GLDriver
       0x11521d000 -        0x115248fff  GLRendererFloat (8.7.25) <BB54593F-07F0-392A-8993-CA844F4A20E8> /System/Library/Frameworks/OpenGL.framework/Resources/GLRendererFloat.bundle/GLRendererFloat
       0x115351000 -        0x11535afe7  libcldcpuengine.dylib (2.2.16) <DB9678F6-7D50-384A-A961-6109B61D1607> /System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/libcldcpuengine.dylib
    0x7fff6d68c000 -     0x7fff6d6c093f  dyld (210.2.3) <36CAA36E-72BC-3E48-96D9-B96A2DF77730> /usr/lib/dyld
    0x7fff87bb8000 -     0x7fff87bbafff  com.apple.TrustEvaluationAgent (2.0 - 23) <A97D348B-32BF-3E52-8DF2-59BFAD21E1A3> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
    0x7fff87bbb000 -     0x7fff87bc0fff  com.apple.OpenDirectory (10.8 - 151.10) <CF44120B-9B01-32DD-852E-C9C0E1243FC0> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff87bc1000 -     0x7fff88368fff  com.apple.CoreAUC (6.16.13 - 6.16.13) <8CBFBC9C-0773-3DEB-AF99-989008CB2B36> /System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
    0x7fff88369000 -     0x7fff8836dfff  libCoreVMClient.dylib (32.3) <AD8391D9-56DD-3A78-A294-6A30E6ECE1A2> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff8836e000 -     0x7fff883b9fff  com.apple.framework.CoreWLAN (3.0.2 - 302.12) <896D75EB-069B-3674-936E-27A81568BECB> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fff883e3000 -     0x7fff88489ff7  com.apple.CoreServices.OSServices (557.6 - 557.6) <1BDB5456-0CE9-301C-99C1-8EFD0D2BFCCD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff8848a000 -     0x7fff8848cfff  libquarantine.dylib (52) <4BE2E642-A14F-340A-B482-5BD2AEFD9C24> /usr/lib/system/libquarantine.dylib
    0x7fff88819000 -     0x7fff891a96ff  com.apple.CoreGraphics (1.600.0 - 331.0.4) <4953961C-96DC-39D7-ADF5-B767F2A7E4E1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff891aa000 -     0x7fff89217ff7  com.apple.datadetectorscore (4.1 - 269.2) <4FD4A7CE-BB00-3AAB-B7AA-AE395D5400EC> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff89218000 -     0x7fff89219fff  libquit.dylib (130) <DC77F406-C5D4-301B-A96D-9A3DCA263756> /usr/lib/libquit.dylib
    0x7fff8921a000 -     0x7fff8922fff7  libdispatch.dylib (228.23) <D26996BF-FC57-39EB-8829-F63585561E09> /usr/lib/system/libdispatch.dylib
    0x7fff89230000 -     0x7fff89252ff7  libxpc.dylib (140.42) <BBE558BD-5E55-35E4-89ED-1AA6B056D05A> /usr/lib/system/libxpc.dylib
    0x7fff89253000 -     0x7fff8925dfff  com.apple.speech.recognition.framework (4.1.5 - 4.1.5) <D803919C-3102-3515-A178-61E9C86C46A1> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff8925e000 -     0x7fff8929eff7  com.apple.MediaKit (14 - 687) <8AAA8CC3-3ACD-34A5-9E57-9B24AD8AFD4D> /System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
    0x7fff8929f000 -     0x7fff892b3fff  com.apple.speech.synthesis.framework (4.1.12 - 4.1.12) <94EDF2AB-809C-3D15-BED5-7AD45B2A7C16> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff892fb000 -     0x7fff89330ff7  libTrueTypeScaler.dylib (84.6) <635BEEBD-7969-3083-8B1A-D49E9DA81517> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
    0x7fff89331000 -     0x7fff8951bff7  com.apple.CoreFoundation (6.8 - 744.18) <A60C3C9B-3764-3291-844C-C487ACF77C2C> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff8951c000 -     0x7fff895b7fff  com.apple.CoreSymbolication (3.0 - 117) <C304FDB8-2FF7-34BC-858A-2B96C2B039D5> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff895b8000 -     0x7fff895bcfff  libpam.2.dylib (20) <C8F45864-5B58-3237-87E1-2C258A1D73B8> /usr/lib/libpam.2.dylib
    0x7fff895bd000 -     0x7fff895e4ff7  com.apple.speech.LatentSemanticMappingFramework (2.9.3 - 2.9.3) <CDB23C93-853B-3F18-985C-6D32D4704F26> /System/Library/Frameworks/LatentSemanticMapping.framework/Versions/A/LatentSemanticMapping
    0x7fff895e5000 -     0x7fff895eafff  libcache.dylib (57) <65187C6E-3FBF-3EB8-A1AA-389445E2984D> /usr/lib/system/libcache.dylib
    0x7fff895eb000 -     0x7fff895ebfff  libkeymgr.dylib (25) <CC9E3394-BE16-397F-926B-E579B60EE429> /usr/lib/system/libkeymgr.dylib
    0x7fff8970d000 -     0x7fff89720ff7  com.apple.LangAnalysis (1.7.0 - 1.7.0) <2F2694E9-A7BC-33C7-B4CF-8EC907DF0FEB> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff89721000 -     0x7fff89721fff  com.apple.Cocoa (6.7 - 19) <1F77945C-F37A-3171-B22E-F7AB0FCBB4D4> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff89722000 -     0x7fff89750fff  com.apple.CoreServicesInternal (154.2 - 154.2) <3E6196E6-F3B4-316F-9E1F-13B6B9694C7E> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff8978a000 -     0x7fff8978efff  libMatch.1.dylib (17) <E10E50F3-25F8-3B9B-AA11-923E40F5FFDD> /usr/lib/libMatch.1.dylib
    0x7fff897ff000 -     0x7fff8980cff7  com.apple.NetAuth (4.0 - 4.0) <F5BC7D7D-AF28-3C83-A674-DADA48FF7810> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff8980d000 -     0x7fff8981bfff  libcommonCrypto.dylib (60027) <BAAFE0C9-BB86-3CA7-88C0-E3CBA98DA06F> /usr/lib/system/libcommonCrypto.dylib
    0x7fff8981c000 -     0x7fff89843fff  com.apple.framework.familycontrols (4.1 - 410) <50F5A52C-8FB6-300A-977D-5CFDE4D5796B> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
    0x7fff89844000 -     0x7fff89890ff7  libauto.dylib (185.1) <73CDC482-16E3-3FC7-9BB4-FBA2DA44DBC2> /usr/lib/libauto.dylib
    0x7fff89891000 -     0x7fff898bdff7  libRIP.A.dylib (331.0.4) <4B261CE2-524E-3FA9-9437-B70DAC1EAB95> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
    0x7fff89919000 -     0x7fff8991ffff  com.apple.DiskArbitration (2.5.2 - 2.5.2) <C713A35A-360E-36CE-AC0A-25C86A3F50CA> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff89920000 -     0x7fff89951ff7  com.apple.DictionaryServices (1.2 - 184.4) <054F2D6F-9CFF-3EF1-9778-25C551B616C1> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff89952000 -     0x7fff89961fff  com.apple.opengl (1.8.7 - 1.8.7) <26F7FF79-6BB2-3968-B70D-71D4E07C9551> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff89962000 -     0x7fff899a5ff7  com.apple.bom (12.0 - 192) <0BF1F2D2-3648-36B7-BE4B-551A0173209B> /System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom
    0x7fff899a6000 -     0x7fff89a02ff7  com.apple.Symbolication (1.3 - 93) <97F3B1D2-D81D-3F37-87B3-B9A686124CF5> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff89a03000 -     0x7fff89a2ffff  com.apple.quartzfilters (1.8.0 - 1.7.0) <B8DE45D7-1827-3379-A478-1A574A1D11D9> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters
    0x7fff89a30000 -     0x7fff89b50fff  com.apple.desktopservices (1.7.3 - 1.7.3) <707F77D2-EC0E-3431-840F-B984BD7ABDD6> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff89b51000 -     0x7fff89c46fff  libiconv.2.dylib (34) <FEE8B996-EB44-37FA-B96E-D379664DEFE1> /usr/lib/libiconv.2.dylib
    0x7fff89c47000 -     0x7fff89da5fef  com.apple.MediaControlSender (1.7 - 170.20) <853BE89D-49B0-3922-9ED5-DDBDE9A97356> /System/Library/PrivateFrameworks/MediaControlSender.framework/Versions/A/MediaControlSender
    0x7fff89da6000 -     0x7fff8a2a3fff  com.apple.Safari.framework (8536 - 8536.28.10) <3A95B221-2F54-38D1-A916-FA79400EB8D8> /System/Library/PrivateFrameworks/Safari.framework/Versions/A/Safari
    0x7fff8a2a4000 -     0x7fff8a2eeff7  libGLU.dylib (8.7.25) <C243C6D3-3384-3DB1-BB15-E27B65C87294> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff8a2ef000 -     0x7fff8a2f0fff  libsystem_blocks.dylib (59) <D92DCBC3-541C-37BD-AADE-ACC75A0C59C8> /usr/lib/system/libsystem_blocks.dylib
    0x7fff8a2f1000 -     0x7fff8a6e8fff  libLAPACK.dylib (1073.4) <D632EC8B-2BA0-3853-800A-20DA00A1091C> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff8a6f5000 -     0x7fff8a765fff  com.apple.ISSupport (1.9.8 - 56) <23ED7650-2705-355A-9F11-409A9981AC53> /System/Library/PrivateFrameworks/ISSupport.framework/Versions/A/ISSupport
    0x7fff8a766000 -     0x7fff8a771ff7  com.apple.ProtocolBuffer (2 - 104) <3270C172-1437-3080-9E53-3E2DCA9AE2EC> /System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer
    0x7fff8a772000 -     0x7fff8a772ffd  com.apple.audio.units.AudioUnit (1.8 - 1.8) <173346B7-614C-380B-8E80-9BD1BE501674> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff8a773000 -     0x7fff8a824fff  com.apple.LaunchServices (539.7 - 539.7) <DA7C602E-5E01-31B8-925D-B45360CA089F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff8a825000 -     0x7fff8a86efff  com.apple.framework.CoreWiFi (1.2.2 - 122.12) <D237551E-0E2C-30FB-8FAA-003D8F25E819> /System/Library/Frameworks/CoreWiFi.framework/Versions/A/CoreWiFi
    0x7fff8a86f000 -     0x7fff8a890ff7  libCRFSuite.dylib (33) <736ABE58-8DED-3289-A042-C25AF7AE5B23> /usr/lib/libCRFSuite.dylib
    0x7fff8a891000 -     0x7fff8a8b3ff7  com.apple.Kerberos (2.0 - 1) <C49B8820-34ED-39D7-A407-A3E854153556> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff8a8b4000 -     0x7fff8a8c7ff7  libbsm.0.dylib (32) <F497D3CE-40D9-3551-84B4-3D5E39600737> /usr/lib/libbsm.0.dylib
    0x7fff8a8c8000 -     0x7fff8a948ff7  com.apple.ApplicationServices.ATS (332 - 341.1) <BD83B039-AB25-3E3E-9975-A67DAE66988B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff8a9a6000 -     0x7fff8a9e1fff  com.apple.LDAPFramework (2.4.28 - 194.5) <67FBDB29-3B9F-309A-BA7C-AA5921D9A4FB> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
    0x7fff8a9e2000 -     0x7fff8aaa7ff7  com.apple.coreui (2.0 - 181.1) <83D2C92D-6842-3C9D-9289-39D5B4554C3A> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff8aaa8000 -     0x7fff8ab39fff  com.apple.CorePDF (2.0 - 2) <EB5660B1-0D79-34F3-B242-B559AE0A5B4A> /System/Library/PrivateFrameworks/CorePDF.framework/Versions/A/CorePDF
    0x7fff8ab3a000 -     0x7fff8ab70fff  com.apple.DebugSymbols (98 - 98) <14E788B1-4EB2-3FD7-934B-849534DFC198> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff8ab71000 -     0x7fff8ab73ff7  libunc.dylib (25) <92805328-CD36-34FF-9436-571AB0485072> /usr/lib/system/libunc.dylib
    0x7fff8ab74000 -     0x7fff8ab93ff7  com.apple.ChunkingLibrary (2.0 - 133.3) <8BEC9AFB-DCAA-37E8-A5AB-24422B234ECF> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
    0x7fff8ab94000 -     0x7fff8ababfff  libGL.dylib (8.7.25) <15F5CB64-847B-3D3D-9663-E0523F15F513> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff8ae86000 -     0x7fff8aebefff  libtidy.A.dylib (15.10) <9009156B-84F5-3781-BFCB-B409B538CD18> /usr/lib/libtidy.A.dylib
    0x7fff8af1d000 -     0x7fff8af37fff  com.apple.CoreMediaAuthoring (2.1 - 914) <23F2B9D0-7B73-3C42-8EDC-8ADBF9C7B8C2> /System/Library/PrivateFrameworks/CoreMediaAuthoring.framework/Versions/A/CoreMediaAuthoring
    0x7fff8af38000 -     0x7fff8afd2fff  libvMisc.dylib (380.6) <714336EA-1C0E-3735-B31C-19DFDAAF6221> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff8b0c5000 -     0x7fff8b154fff  libCoreStorage.dylib (296.16) <E5BF76A1-2B3E-3FD8-ABF4-F8D18829BF0A> /usr/lib/libCoreStorage.dylib
    0x7fff8b155000 -     0x7fff8b156fff  liblangid.dylib (116) <864C409D-D56B-383E-9B44-A435A47F2346> /usr/lib/liblangid.dylib
    0x7fff8b166000 -     0x7fff8b1bffff  com.apple.ImageCaptureCore (5.0.2 - 5.0.2) <D6A71984-8FA2-3964-87C6-1936460FDF8C> /System/Library/Frameworks/ImageCaptureCore.framework/Versions/A/ImageCaptureCore
    0x7fff8b1c4000 -     0x7fff8b1c5ff7  libdnsinfo.dylib (453.19) <14202FFB-C3CA-3FCC-94B0-14611BF8692D> /usr/lib/system/libdnsinfo.dylib
    0x7fff8b1c6000 -     0x7fff8b1e7fff  com.apple.Ubiquity (1.2 - 243.15) <C9A7EE77-B637-3676-B667-C0843BBB0409> /System/Library/PrivateFrameworks/Ubiquity.framework/Versions/A/Ubiquity
    0x7fff8b21a000 -     0x7fff8b279fff  com.apple.AE (645.6 - 645.6) <44F403C1-660A-3543-AB9C-3902E02F936F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff8b27a000 -     0x7fff8b282fff  liblaunch.dylib (442.26.2) <2F71CAF8-6524-329E-AC56-C506658B4C0C> /usr/lib/system/liblaunch.dylib
    0x7fff8b283000 -     0x7fff8b2abfff  libJPEG.dylib (849) <5C9052F6-D0B3-39CC-8302-468B43D694D5> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff8b2ac000 -     0x7fff8b5c3ff7  com.apple.CoreServices.CarbonCore (1037.5 - 1037.5) <731D8F92-1C52-3613-BA01-EFEA54DADF41> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff8b5c9000 -     0x7fff8b5caff7  libremovefile.dylib (23.2) <6763BC8E-18B8-3AD9-8FFA-B43713A7264F> /usr/lib/system/libremovefile.dylib
    0x7fff8b5cb000 -     0x7fff8b616fff  com.apple.CoreMedia (1.0 - 926.87) <F51205F8-A102-359C-A9A3-22A48524C081> /System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia
    0x7fff8b617000 -     0x7fff8b617fff  com.apple.Carbon (154 - 155) <1B2846B1-384E-3D1C-8999-201215723349> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff8b618000 -     0x7fff8b618fff  libOpenScriptingUtil.dylib (148.3) <F8681222-0969-3B10-8BCE-C55A4B9C520C> /usr/lib/libOpenScriptingUtil.dylib
    0x7fff8b63c000 -     0x7fff8b63dfff  libDiagnosticMessagesClient.dylib (8) <8548E0DC-0D2F-30B6-B045-FE8A038E76D8> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff8b63e000 -     0x7fff8b63efff  com.apple.Accelerate.vecLib (3.8 - vecLib 3.8) <B5A18EE8-DF81-38DD-ACAF-7076B2A26225> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff8b63f000 -     0x7fff8b64cfff  libbz2.1.0.dylib (29) <CE9785E8-B535-3504-B392-82F0064D9AF2> /usr/lib/libbz2.1.0.dylib
    0x7fff8b64d000 -     0x7fff8b7fbfff  com.apple.QuartzCore (1.8 - 304.2) <234EABE1-067C-3DAE-BEAC-674526E232C2> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff8b7fc000 -     0x7fff8b7fdff7  libsystem_sandbox.dylib (220.2) <6838A6FD-8626-3356-BB4F-BB4787216207> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff8b7fe000 -     0x7fff8baacff7  com.apple.imageKit (2.2 - 670) <F9B50A59-A749-333C-A8D9-C8A92C649AA9> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit
    0x7fff8babe000 -     0x7fff8bad4fff  com.apple.MultitouchSupport.framework (235.29 - 235.29) <617EC8F1-BCE7-3553-86DD-F857866E1257> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff8bad5000 -     0x7fff8bb26ff7  com.apple.SystemConfiguration (1.12.2 - 1.12.2) <A4341BBD-A330-3A57-8891-E9C1A286A72D> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff8bb33000 -     0x7fff8bb36fff  libRadiance.dylib (849) <F7D9A0FD-1195-34CB-BFE5-79DAF3F40AC3> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff8bdad000 -     0x7fff8bdbbff7  libsystem_network.dylib (77.10) <0D99F24E-56FE-380F-B81B-4A4C630EE587> /usr/lib/system/libsystem_network.dylib
    0x7fff8bdbc000 -     0x7fff8bdeaff7  libsystem_m.dylib (3022.6) <B434BE5C-25AB-3EBD-BAA7-5304B34E3441> /usr/lib/system/libsystem_m.dylib
    0x7fff8bdec000 -     0x7fff8be2fff7  com.apple.RemoteViewServices (2.0 - 80.6) <5CFA361D-4853-3ACC-9EFC-A2AC1F43BA4B> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff8be30000 -     0x7fff8c0b0ff7  com.apple.AOSKit (1.05 - 152.2) <43361229-45F3-3946-A11A-CC0FF2129F06> /System/Library/PrivateFrameworks/AOSKit.framework/Versions/A/AOSKit
    0x7fff8c0c1000 -     0x7fff8c0c3ff7  com.apple.EFILogin (2.0 - 2) <51A470D7-1F72-3369-AF0F-AD2340B42C12> /System/Library/PrivateFrameworks/EFILogin.framework/Versions/A/EFILogin
    0x7fff8c0c4000 -     0x7fff8c0dbfff  com.apple.CFOpenDirectory (10.8 - 151.10) <10F41DA4-AD54-3F52-B898-588D9A117171> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff8c11f000 -     0x7fff8c16eff7  libFontRegistry.dylib (100) <2E03D7DA-9B8F-31BB-8FB5-3D3B6272127F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff8c16f000 -     0x7fff8c17afff  com.apple.CommonAuth (3.0 - 2.0) <7A953C1F-8B18-3E46-9BEA-26D9B5B7745D> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff8c17d000 -     0x7fff8c2f2fff  com.apple.CFNetwork (596.3.3 - 596.3.3) <3739DC8D-8610-3740-80EC-43E130779CB8> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff8c2f3000 -     0x7fff8c40dfff  com.apple.coreavchd (5.6.0 - 5600.4.16) <0CF2ABE5-B088-3B5D-9C04-47AE708ADAE3> /System/Library/PrivateFrameworks/CoreAVCHD.framework/Versions/A/CoreAVCHD
    0x7fff8c43b000 -     0x7fff8c507ff7  libsystem_c.dylib (825.26) <4C9EB006-FE1F-3F8F-8074-DFD94CF2CE7B> /usr/lib/system/libsystem_c.dylib
    0x7fff8c508000 -     0x7fff8c606fff  com.apple.QuickLookUIFramework (4.0 - 555.5) <EE02B332-20F3-3226-A022-D71B808E1CC4> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuickLookUI.framework/Versions/A/QuickLookUI
    0x7fff8c607000 -     0x7fff8c63eff7  libssl.0.9.8.dylib (47) <923945E6-C489-3406-903B-A362410753F8> /usr/lib/libssl.0.9.8.dylib
    0x7fff8c63f000 -     0x7fff8c6a7ff7  libc++.1.dylib (65.1) <20E31B90-19B9-3C2A-A9EB-474E08F9FE05> /usr/lib/libc++.1.dylib
    0x7fff8c6a8000 -     0x7fff8c6abfff  com.apple.AppleSystemInfo (2.0 - 2) <BC221376-361F-3F85-B284-DC251D3BB442> /System/Library/PrivateFrameworks/AppleSystemInfo.framework/Versions/A/AppleSystemInfo
    0x7fff8c6d5000 -     0x7fff8c6dcfff  libGFXShared.dylib (8.7.25) <869580B2-39CB-30C3-B76E-73BB4894B6B7> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff8c6dd000 -     0x7fff8c6e7ff7  com.apple.xpcobjects (103 - 103) <9496FA67-F53E-37B8-845A-462B924AA5BE> /System/Library/PrivateFrameworks/XPCObjects.framework/Versions/A/XPCObjects
    0x7fff8c6e8000 -     0x7fff8c744fff  com.apple.QuickLookFramework (4.0 - 555.5) <8B9EAC35-98F3-3BF0-8B15-3A5FE39F150A> /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
    0x7fff8c784000 -     0x7fff8cab4fff  com.apple.HIToolbox (2.0 - 626.1) <656D08C2-9068-3532-ABDD-32EC5057CCB2> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff8cab5000 -     0x7fff8cb11fff  com.apple.corelocation (1239.40 - 1239.40) <2F743CD8-A9F5-3375-A3B0-BB0D756FC239> /System/Library/Frameworks/CoreLocation.framework/Versions/A/CoreLocation
    0x7fff8ccc4000 -     0x7fff8ccc4fff  com.apple.AOSMigrate (1.0 - 1) <585B1483-490E-32DD-97DC-B9279E9D3490> /System/Library/PrivateFrameworks/AOSMigrate.framework/Versions/A/AOSMigrate
    0x7fff8ccc5000 -     0x7fff8cec5fff  libicucore.A.dylib (491.11.2) <FD6282D8-DF3F-3842-8C2E-CF478D2B9669> /usr/lib/libicucore.A.dylib
    0x7fff8cf4c000 -     0x7fff8d0e7fef  com.apple.vImage (6.0 - 6.0) <FAE13169-295A-33A5-8E6B-7C2CC1407FA7> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff8d0e8000 -     0x7fff8d0eafff  com.apple.OAuth (18.1 - 18.1) <0DC79455-CF81-3873-87BD-6BD14D89A6F5> /System/Library/PrivateFrameworks/OAuth.framework/Versions/A/OAuth
    0x7fff8d8ed000 -     0x7fff8d9bfff7  com.apple.CoreText (260.0 - 275.16) <5BFC1D67-6A6F-38BC-9D90-9C712684EDAC> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff8d9c0000 -     0x7fff8dc91ff7  com.apple.security (7.0 - 55179.11) <73958084-5BBC-3597-A751-7370B0C247E5> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff8dca0000 -     0x7fff8ded5ff7  com.apple.CoreData (106.1 - 407.7) <24E0A6B4-9ECA-3D12-B26A-72B9DCF09768> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff8ded6000 -     0x7fff8df55ff7  com.apple.securityfoundation (6.0 - 55115.4) <8676E0DF-295F-3690-BDAA-6C9C1D210B88> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff8df56000 -     0x7fff8df6bfff  com.apple.ImageCapture (8.0 - 8.0) <17A45CE6-7DA3-36A5-B7EF-72BC136981AE> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff8df6c000 -     0x7fff8df78ff7  com.apple.DirectoryService.Framework (10.8 - 151.10) <DA05EF06-8EBD-3759-B5D3-E6FC86C5D850> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
    0x7fff8df79000 -     0x7fff8df7dfff  libCGXType.A.dylib (331.0.4) <251D4D2D-92B9-3D56-B348-CD67397F71FE> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
    0x7fff8df7e000 -     0x7fff8dfcdff7  libcorecrypto.dylib (106.2) <CE0C29A3-C420-339B-ADAA-52F4683233CC> /usr/lib/system/libcorecrypto.dylib
    0x7fff8dfce000 -     0x7fff8dfcefff  com.apple.quartzframework (1.5 - 1.5) <6403C982-0D45-37EE-A0F0-0EF8BCFEF440> /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
    0x7fff8dfcf000 -     0x7fff8e038fff  libstdc++.6.dylib (56) <EAA2B53E-EADE-39CF-A0EF-FB9D4940672A> /usr/lib/libstdc++.6.dylib
    0x7fff8e2d5000 -     0x7fff8e3eefff  com.apple.ImageIO.framework (3.2.0 - 849) <C52AED41-A7C2-300B-91FA-5AF73718D243> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff8e3ef000 -     0x7fff8e3effff  com.apple.CoreServices (57 - 57) <9DD44CB0-C644-35C3-8F57-0B41B3EC147D> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff8e3f0000 -     0x7fff8e3feff7  libkxld.dylib (2050.22.13) <4AAF0573-8632-3D06-BE32-C5675F77638D> /usr/lib/system/libkxld.dylib
    0x7fff8e3ff000 -     0x7fff8e40aff7  com.apple.DisplayServicesFW (2.7.2 - 357) <EC87A00D-FE9C-3CFE-A98C-063C3D23085A> /System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices
    0x7fff8e40b000 -     0x7fff8e479fff  com.apple.framework.IOKit (2.0.1 - 755.22.5) <1547DA6F-9793-30A2-8E92-7368DE84D46C> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff8e47a000 -     0x7fff8e49afff  libPng.dylib (849) <F4C23A55-F17B-3E4F-9E80-BC97F778BA49> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff8e49b000 -     0x7fff8e49eff7  libdyld.dylib (210.2.3) <F59367C9-C110-382B-A695-9035A6DD387E> /usr/lib/system/libdyld.dylib
    0x7fff8f505000 -     0x7fff8f55fff7  com.apple.opencl (2.2.18 - 2.2.18) <4A78E53C-17B0-3B2D-A9EA-EF8720FE4134> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff8f560000 -     0x7fff8f7e5ff7  com.apple.RawCamera.bundle (4.03 - 676) <BC5109D0-87F4-3F88-8DBD-3330B6524913> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
    0x7fff8f7e6000 -     0x7fff8fbdffe7  com.apple.MediaToolbox (1.0 - 926.87) <8346DAFC-88E5-350E-90E1-C98B180488C2> /System/Library/Frameworks/MediaToolbox.framework/Versions/A/MediaToolbox
    0x7fff8fbe0000 -     0x7fff8fcddfff  libsqlite3.dylib (138.1) <ADE9CB98-D77D-300C-A32A-556B7440769F> /usr/lib/libsqlite3.dylib
    0x7fff8fcde000 -     0x7fff8fde0fff  libcrypto.0.9.8.dylib (47) <74F165AD-4572-3B26-B0E2-A97477FE59D0> /usr/lib/libcrypto.0.9.8.dylib
    0x7fff8fde1000 -     0x7fff8fde8fff  com.apple.NetFS (5.0 - 4.0) <82E24B9A-7742-3DA3-9E99-ED267D98C05E> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff8fde9000 -     0x7fff8fe14fff  libxslt.1.dylib (11.3) <441776B8-9130-3893-956F-39C85FFA644F> /usr/lib/libxslt.1.dylib
    0x7fff8fe6e000 -     0x7fff8fe75fff  com.apple.phonenumbers (1.1 - 47) <E6A01FEF-9C6D-3C18-B378-63F4134756E6> /System/Library/PrivateFrameworks/PhoneNumbers.framework/Versions/A/PhoneNumbers
    0x7fff8fe76000 -     0x7fff8feccfff  com.apple.HIServices (1.20 - 417) <A1129272-FEC8-350B-BA26-5A97F23C413D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff8fecd000 -     0x7fff8ffe592f  libobjc.A.dylib (532.2) <90D31928-F48D-3E37-874F-220A51FD9E37> /usr/lib/libobjc.A.dylib
    0x7fff8ffe6000 -     0x7fff90241ff7  com.apple.QuartzComposer (5.1 - 284) <D9CDC9ED-9F03-30F0-80DF-BA189A054AC9> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
    0x7fff90292000 -     0x7fff902dafff  libcurl.4.dylib (69.2) <EBDBF42D-E4A6-3D05-A76B-2817D79D59E2> /usr/lib/libcurl.4.dylib
    0x7fff90b98000 -     0x7fff90b9aff7  com.apple.print.framework.Print (8.0 - 258) <34666CC2-B86D-3313-B3B6-A9977AD593DA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff90b9b000 -     0x7fff90b9bfff  com.apple.vecLib (3.8 - vecLib 3.8) <794317C7-4E38-338A-A874-5E18001C8503> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff90c43000 -     0x7fff90c7dfff  com.apple.framework.internetaccounts (2.1 - 210) <546769AA-C561-3C17-8E8E-4E65A700E2F1> /System/Library/PrivateFrameworks/InternetAccounts.framework/Versions/A/InternetAccounts
    0x7fff90c7e000 -     0x7fff90c8cfff  com.apple.Librarian (1.1 - 1) <5AC28666-7642-395F-A923-C6F8A274BBBD> /System/Library/PrivateFrameworks/Librarian.framework/Versions/A/Librarian
    0x7fff90c8d000 -     0x7fff90c91fff  com.apple.IOSurface (86.0.4 - 86.0.4) <26F01CD4-B76B-37A3-989D-66E8140542B3> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff90ef6000 -     0x7fff90f43fff  com.apple.CoreMediaIO (307.0 - 4155) <CD826A65-DFE7-3A58-A29E-15B3A9BE0A6D> /System/Library/Frameworks/CoreMediaIO.framework/Versions/A/CoreMediaIO
    0x7fff90f44000 -     0x7fff91361fff  FaceCoreLight (2.4.1) <A34C9575-C4C1-31B1-809B-7751070B4E8B> /System/Library/PrivateFrameworks/FaceCoreLight.framework/Versions/A/FaceCoreLight
    0x7fff913f2000 -     0x7fff91449ff7  com.apple.AppleVAFramework (5.0.19 - 5.0.19) <541A7DBE-F8E4-3023-A3C0-8D5A2A550CFB> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
    0x7fff9144a000 -     0x7fff91476fff  com.apple.framework.Apple80211 (8.3.2 - 832.18.1) <5D601780-9AD9-31C9-9AB5-716D8634CB78> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
    0x7fff91493000 -     0x7fff914aeff7  com.apple.frameworks.preferencepanes (15.1 - 15.1) <8A3CDC5B-9FA5-32EB-A066-F19874193B92> /System/Library/Frameworks/PreferencePanes.framework/Versions/A/PreferencePanes
    0x7fff914af000 -     0x7fff91635fff  libBLAS.dylib (1073.4) <C102C0F6-8CB6-3B49-BA6B-2EB61F0B2784> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff917de000 -     0x7fff917dfff7  libSystem.B.dylib (169.3) <9089D72D-E714-31E1-80C8-698A8E8B05AD> /usr/lib/libSystem.B.dylib
    0x7fff917e0000 -     0x7fff917ecfff  libCSync.A.dylib (331.0.4) <C7043BB7-284D-3B9F-A5CB-78ADE691B2D4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
    0x7fff917ed000 -     0x7fff917f8ff7  com.apple.bsd.ServiceManagement (2.0 - 2.0) <C12962D5-85FB-349E-AA56-64F4F487F219> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff917fe000 -     0x7fff91810ff7  libz.1.dylib (43) <2A1551E8-A272-3DE5-B692-955974FE1416> /usr/lib/libz.1.dylib
    0x7fff91811000 -     0x7fff91814fff  libutil.dylib (30) <EF3340B2-9A53-3D5E-B9B4-BDB5EEECC178> /usr/lib/libutil.dylib
    0x7fff91815000 -     0x7fff9181dff7  libsystem_dnssd.dylib (379.37) <616FC901-151E-38BF-B2C4-24A351C5FAAD> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff9181e000 -     0x7fff91c5afff  com.apple.VideoToolbox (1.0 - 926.87) <7319477A-4A3D-3233-AAD1-31F9C9429DA7> /System/Library/Frameworks/VideoToolbox.framework/Versions/A/VideoToolbox
    0x7fff91c5b000 -     0x7fff91cf8ff7  com.apple.PDFKit (2.7.3 - 2.7.3) <5AE5FD4E-658F-38BC-90DD-C2B28E17ED34> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
    0x7fff91e53000 -     0x7fff91f55fff  libJP2.dylib (849) <4EEA33EB-AF9F-365D-A572-F7D11AD1C76F> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff91f56000 -     0x7fff91f59ff7  com.apple.LoginUICore (2.0 - 2.0) <C1911200-E442-3B99-AB91-C135703D55DF> /System/Library/PrivateFrameworks/LoginUIKit.framework/Versions/A/Frameworks/LoginUICore.framework/Versions/A/LoginUICore
    0x7fff91f5a000 -     0x7fff91fb1ff7  com.apple.ScalableUserInterface (1.0 - 1) <F1D43DFB-1796-361B-AD4B-39F1EED3BE19> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/ScalableUserInterface.framework/Versions/A/ScalableUserInterface
    0x7fff91fe4000 -     0x7fff9210eff7  com.apple.avfoundation (2.0 - 361.32) <E99A8D44-3283-377D-AF56-65F9651CEA8E> /System/Library/Frameworks/AVFoundation.framework/Versions/A/AVFoundation
    0x7fff9210f000 -     0x7fff9211bfff  com.apple.CrashReporterSupport (10.8.3 - 417) <48EDDDF3-5720-39D6-B51F-D9AFB93327B3> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fff9211c000 -     0x7fff92156ff7  com.apple.GSS (3.0 - 2.0) <970CAE00-1437-3F4E-B677-0FDB3714C08C> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff9215a000 -     0x7fff923feff7  com.apple.CoreImage (8.2.4 - 1.0.1) <4A6B017F-B9F7-36DA-943D-A95611F147EA> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff923ff000 -     0x7fff92401fff  com.apple.securityhi (4.0 - 55002) <26E6D477-EF61-351F-BA8C-67824AA231C6> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff92402000 -     0x7fff9245cfff  com.apple.print.framework.PrintCore (8.3 - 387.2) <5BA0CBED-4D80-386A-9646-F835C9805B71> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff925a4000 -     0x7fff92677ff7  com.apple.DiscRecording (7.0 - 7000.2.4) <E5F3F320-1049-32D8-8189-916EF5C40A1A> /System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecording
    0x7fff92678000 -     0x7fff9269fff7  com.apple.PerformanceAnalysis (1.16 - 16) <E4888388-F41B-313E-9CBB-5807D077BDA9> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff926a0000 -     0x7fff9273eff7  com.apple.ink.framework (10.8.2 - 150) <84B9825C-3822-375F-BE58-A753444FBDE2> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff927c2000 -     0x7fff9281fff7  com.apple.audio.CoreAudio (4.1.1 - 4.1.1) <D15F3FB3-BE53-3545-AD37-9A25A597FE3C> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff92820000 -     0x7fff92836fff  com.apple.Accounts (211.2 - 211.2) <F62749B0-AEA6-3673-8FD7-550E21622893> /System/Library/Frameworks/Accounts.framework/Versions/A/Accounts
    0x7fff92837000 -     0x7fff9283dfff  libmacho.dylib (829) <BF332AD9-E89F-387E-92A4-6E1AB74BD4D9> /usr/lib/system/libmacho.dylib
    0x7fff92846000 -     0x7fff9289bff7  libTIFF.dylib (849) <C4D0E196-9319-319B-AF72-8B63FB5AF71B> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff928b6000 -     0x7fff928baff7  com.apple.TCC (1.0 - 1) <F2F3B753-FC73-3543-8BBE-859FDBB4D6A6> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff928bb000 -     0x7fff928daff7  libresolv.9.dylib (51) <0882DC2D-A892-31FF-AD8C-0BB518C48B23> /usr/lib/libresolv.9.dylib
    0x7fff928db000 -     0x7fff928e1ff7  libunwind.dylib (35.1) <21703D36-2DAB-3D8B-8442-EAAB23C060D3> /usr/lib/system/libunwind.dylib
    0x7fff928e2000 -     0x7fff928e6ff7  com.apple.CommonPanels (1.2.5 - 94) <AAC003DE-2D6E-38B7-B66B-1F3DA91E7245> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff928e7000 -     0x7fff929d8ff7  com.apple.DiskImagesFramework (10.8.3 - 345) <F9FAEAF0-B9A5-34DF-94B7-926FB03AD5F6> /System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/DiskImages
    0x7fff929d9000 -     0x7fff92a0dfff  com.apple.securityinterface (6.0 - 55024.4) <614C9B8E-2056-3A41-9A01-DAF74C97CC43> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
    0x7fff92a0e000 -     0x7fff92b5ffff  com.apple.audio.toolbox.AudioToolbox (1.8 - 1.8) <C680EE1A-B4ED-3E77-A08C-DC47922ACA33> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff92b60000 -     0x7fff92b77fff  com.apple.GenerationalStorage (1.1 - 132.3) <FD4A84B3-13A8-3C60-A59E-25A361447A17> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff92b7a000 -     0x7fff92c37ff7  com.apple.ColorSync (4.8.0 - 4.8.0) <6CE333AE-EDDB-3768-9598-9DB38041DC55> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff92c38000 -     0x7fff92c38fff  com.apple.ApplicationServices (45 - 45) <A3ABF20B-ED3A-32B5-830E-B37831A45A80> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff92c39000 -     0x7fff92c6ffff  libsystem_info.dylib (406.17) <4FFCA242-7F04-365F-87A6-D4EFB89503C1> /usr/lib/system/libsystem_info.dylib
    0x7fff92c70000 -     0x7fff92d6dff7  libxml2.2.dylib (22.3) <47B09CB2-C636-3024-8B55-6040F7829B4C> /usr/lib/libxml2.2.dylib
    0x7fff92d6e000 -     0x7fff92d77ff7  com.apple.CommerceCore (1.0 - 26.1) <40A129A8-4E5D-3C7A-B299-8CB203C4C65D> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
    0x7fff92d78000 -     0x7fff92d89ff7  libsasl2.2.dylib (166) <649CAE0E-8FFE-3C60-A849-BE6300E4B726> /usr/lib/libsasl2.2.dylib
    0x7fff92d8a000 -     0x7fff92d8cfff  libCVMSPluginSupport.dylib (8.7.25) <A45E21E3-4B40-39B0-A8B6-411526A84F47> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff92d8d000 -     0x7fff92e0efff  com.apple.Metadata (10.7.0 - 707.5) <4140B1F6-7D73-33C7-B3F2-4DB349C31AE9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff92e0f000 -     0x7fff92e41fff  com.apple.framework.Admin (12.0 - 12.0) <21E02DE3-B255-3A55-8F55-7FC9EE864C06> /System/Library/PrivateFrameworks/Admin.framework/Versions/A/Admin
    0x7fff92e5d000 -     0x7fff92ea1fff  libcups.2.dylib (327.3) <71E771A1-0489-3417-8A4A-56A2C930F80C> /usr/lib/libcups.2.dylib
    0x7fff92ee6000 -     0x7fff92ef3fff  com.apple.AppleFSCompression (49 - 1.0) <5508344A-2A7E-3122-9562-6F363910A80E> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
    0x7fff92ef4000 -     0x7fff92effff7  com.apple.aps.framework (3.0 - 3.0) <2041AD84-4279-3ECC-A13E-AC6698BB1A67> /System/Library/PrivateFrameworks/ApplePushService.framework/Versions/A/ApplePushService
    0x7fff92f00000 -     0x7fff92f07fff  libcopyfile.dylib (89) <876573D0-E907-3566-A108-577EAD1B6182> /usr/lib/system/libcopyfile.dylib
    0x7fff92f08000 -     0x7fff92f17ff7  libxar.1.dylib (105) <370ED355-E516-311E-BAFD-D80633A84BE1> /usr/lib/libxar.1.dylib
    0x7fff92f18000 -     0x7fff92f1bfff  com.apple.help (1.3.2 - 42) <343904FE-3022-3573-97D6-5FE17F8643BA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff92f60000 -     0x7fff932bdff7  com.apple.Foundation (6.8 - 945.16) <89BD68FD-72C8-35C1-94C6-3A07F097C50D> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff932be000 -     0x7fff932c8fff  libcsfde.dylib (296.16) <DE03E28D-7979-3C31-9F46-2A7337CE0DBA> /usr/lib/libcsfde.dylib
    0x7fff93319000 -     0x7fff9348aff7  com.apple.QTKit (7.7.1 - 2599.24) <A2153722-268B-3293-B9E3-CB59273CDE41> /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
    0x7fff9348e000 -     0x7fff934b7fff  libsandbox.1.dylib (220.2) <3FC9A111-B76D-3F98-90A4-44CFB0D433B4> /usr/lib/libsandbox.1.dylib
    0x7fff934c2000 -     0x7fff934c2fff  com.apple.Accelerate (1.8 - Accelerate 1.8) <6AD48543-0864-3D40-80CE-01F184F24B45> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff934c3000 -     0x7fff940f0ff7  com.apple.AppKit (6.8 - 1187.37) <FAEA8B77-210F-3C0F-B9CF-85A7595CCA26> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff9427d000 -     0x7fff942bcff7  com.apple.QD (3.42 - 285) <8DF36FCA-C06B-30F4-A631-7BE2FF7E56D1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff9435a000 -     0x7fff9435efff  libGIF.dylib (849) <6A664B4D-0A88-33F7-9064-0CD159AB9CE9> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff9435f000 -     0x7fff94360fff  libodfde.dylib (18) <015DD2A0-D59A-3547-909D-7C028A65C312> /usr/lib/libodfde.dylib
    0x7fff9441a000 -     0x7fff94525fff  libFontParser.dylib (84.6) <96C42E49-79A6-3475-B5E4-6A782599A6DA> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff94533000 -     0x7fff9453efff  libsystem_notify.dylib (98.5) <C49275CC-835A-3207-AFBA-8C01374927B6> /usr/lib/system/libsystem_notify.dylib
    0x7fff9453f000 -     0x7fff9457bfff  com.apple.GeoServices (1.0 - 1) <DB382348-EBFA-3AD5-888B-7F4640F41834> /System/Library/PrivateFrameworks/GeoServices.framework/Versions/A/GeoServices
    0x7fff94583000 -     0x7fff94605ff7  com.apple.Heimdal (3.0 - 2.0) <C94B0C6C-1320-35A1-8143-FE252E7B2A08> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff94606000 -     0x7fff9462bff7  libc++abi.dylib (26) <D86169F3-9F31-377A-9AF3-DB17142052E4> /usr/lib/libc++abi.dylib
    0x7fff9462c000 -     0x7fff94631fff  libcompiler_rt.dylib (30) <08F8731D-5961-39F1-AD00-4590321D24A9> /usr/lib/system/libcompiler_rt.dylib
    0x7fff94632000 -     0x7fff9466ffef  libGLImage.dylib (8.7.25) <139A9892-A6F2-3F49-87FB-E7AC3F56E003> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff946b8000 -     0x7fff946d5ff7  com.apple.openscripting (1.3.6 - 148.3) <C008F56A-1E01-3D4C-A9AF-97799D0FAE69> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff946df000 -     0x7fff946faff7  libsystem_kernel.dylib (2050.22.13) <5A961E2A-CFB8-362B-BC43-122704AEB047> /usr/lib/system/libsystem_kernel.dylib
    0x7fff946fb000 -     0x7fff94788ff7  com.apple.SearchKit (1.4.0 - 1.4.0) <C7F43889-F8BF-3CB9-AD66-11AEFCBCEDE7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff94789000 -     0x7fff947f1fff  libvDSP.dylib (380.6) <CD4C5EEB-9E63-30C4-8103-7A5EAEA0BE60> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff94837000 -     0x7fff94afaff7  com.apple.AddressBook.framework (7.1 - 1169) <5FFF3765-414A-3633-ADE5-337CD4B9A102> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
    0x7fff94b27000 -     0x7fff94b51ff7  com.apple.CoreVideo (1.8 - 99.4) <E5082966-6D81-3973-A05A-38AA5B85F886> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff94b52000 -     0x7fff94c2cfff  com.apple.backup.framework (1.4.2 - 1.4.2) <0B557393-CD2A-3076-BED2-F28D02E1EC1D> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 2
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 35070
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=237.1M resident=112.2M(47%) swapped_out_or_unallocated=124.9M(53%)
Writable regions: Total=9.3G written=77.3M(1%) resident=116.0M(1%) swapped_out=0K(0%) unallocated=9.2G(99%)
 
REGION TYPE                        VIRTUAL
===========                        =======
CG image                              260K
CG shared images                     1216K
CoreAnimation                        16.2M
CoreServices                         5148K
IOKit                                53.1M
IOKit (reserved)                     3072K        reserved VM address space (unallocated)
JS JIT generated code               256.0M
JS JIT generated code (reserved)    768.0M        reserved VM address space (unallocated)
JS VM register file                  8192K
JS garbage collector                256.1M
JS garbage collector (reserved)       7.8G        reserved VM address space (unallocated)
MALLOC                              168.7M
MALLOC guard page                      48K
MALLOC_LARGE (reserved)               636K        reserved VM address space (unallocated)
Memory tag=242                         12K
OpenGL GLSL                          1936K
OpenGL GLSL (reserved)                128K        reserved VM address space (unallocated)
SQLite page cache                     768K
STACK GUARD                          56.1M
Stack                                20.3M
TC malloc                             456K
VM_ALLOCATE                           440K
__DATA                               20.0M
__IMAGE                               528K
__LINKEDIT                           64.0M
__TEXT                              173.1M
__UNICODE                             544K
mapped file                          39.1M
shared memory                         580K
===========                        =======
TOTAL                                 9.6G
TOTAL, minus reserved VM space        1.1G
Comment 7 Alexey Proskuryakov 2013-04-10 10:29:26 PDT
This has to be caused by <http://trac.webkit.org/changeset/148073>.

> Turning off extensions made no difference. I got the attached crash when attempting to view http://whyevolutionistrue.com/

The llint_op_get_by_pname crash is different one. This bug tracks a crash in JSObjectSetPrivate.
Comment 8 Alexey Proskuryakov 2013-04-10 10:29:41 PDT
<rdar://problem/13620809>
Comment 9 Oliver Hunt 2013-04-10 10:43:11 PDT
Created attachment 197310 [details]
Patch
Comment 10 Oliver Hunt 2013-04-10 10:46:27 PDT
Committed r148106: <http://trac.webkit.org/changeset/148106>
Comment 11 Oliver Hunt 2013-04-10 14:46:51 PDT
*** Bug 114385 has been marked as a duplicate of this bug. ***
Comment 12 Alexey Proskuryakov 2013-04-10 22:07:02 PDT
*** Bug 114374 has been marked as a duplicate of this bug. ***